net.sf.jasperreports.components

## Class ComponentsXmlDigesterConfigurer

- java.lang.Object
- - net.sf.jasperreports.components.ComponentsXmlDigesterConfigurer

- All Implemented Interfaces:
    XmlDigesterConfigurer

      public class ComponentsXmlDigesterConfigurer
      extends java.lang.Object
      implements XmlDigesterConfigurer

  XML digester for built-in component implementations.
  Version:
    $Id: ComponentsXmlDigesterConfigurer.java 6771 2013-11-22 14:52:25Z shertage $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `ComponentsExtensionsRegistryFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentsXmlDigesterConfigurer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBarbecueRules(org.apache.commons.digester.Digester digester)`
    `protected void` | `addBarcode4jRules(org.apache.commons.digester.Digester digester)`
    `protected <T> void` | `addBaseBarcode4jRules(org.apache.commons.digester.Digester digester, java.lang.String barcodePattern, java.lang.Class<T> barcodeComponentClass)`
    `protected <T> void` | `addExpressionRules(org.apache.commons.digester.Digester digester, java.lang.String expressionPattern, java.lang.Class<T> factoryClass, java.lang.String setterMethod, boolean jrNamespace)`
    `protected void` | `addItemRules(org.apache.commons.digester.Digester digester, java.lang.String itemPattern, java.lang.String namespace)`
    `protected void` | `addListRules(org.apache.commons.digester.Digester digester)`
    `protected void` | `addMapRules(org.apache.commons.digester.Digester digester)`
    `protected void` | `addTableCellRules(org.apache.commons.digester.Digester digester, java.lang.String pattern, java.lang.String setNextMethod)`
    `protected void` | `addTableGroupCellRules(org.apache.commons.digester.Digester digester, java.lang.String pattern, java.lang.String setNextMethod)`
    `protected void` | `addTableRules(org.apache.commons.digester.Digester digester)`
    `protected void` | `addTemplateRules(org.apache.commons.digester.Digester digester, java.lang.String barcodePattern)`
    `void` | `configureDigester(org.apache.commons.digester.Digester digester)` Configures an XML digester by adding the rules required to parse component XML fragments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentsXmlDigesterConfigurer

          public ComponentsXmlDigesterConfigurer()

  - ### Method Detail

    - #### configureDigester

          public void configureDigester(org.apache.commons.digester.Digester digester)

      Description copied from interface: `XmlDigesterConfigurer`
      Configures an XML digester by adding the rules required to parse component XML fragments.
      Specified by:
        `configureDigester` in interface `XmlDigesterConfigurer`
      Parameters:
        `digester` - the digester to configure

    - #### addListRules

          protected void addListRules(org.apache.commons.digester.Digester digester)

    - #### addBarbecueRules

          protected void addBarbecueRules(org.apache.commons.digester.Digester digester)

    - #### addBarcode4jRules

          protected void addBarcode4jRules(org.apache.commons.digester.Digester digester)

    - #### addBaseBarcode4jRules

          protected <T> void addBaseBarcode4jRules(org.apache.commons.digester.Digester digester,
                                       java.lang.String barcodePattern,
                                       java.lang.Class<T> barcodeComponentClass)

    - #### addTemplateRules

          protected void addTemplateRules(org.apache.commons.digester.Digester digester,
                              java.lang.String barcodePattern)

    - #### addMapRules

          protected void addMapRules(org.apache.commons.digester.Digester digester)

    - #### addItemRules

          protected void addItemRules(org.apache.commons.digester.Digester digester,
                          java.lang.String itemPattern,
                          java.lang.String namespace)

    - #### addTableRules

          protected void addTableRules(org.apache.commons.digester.Digester digester)

    - #### addTableCellRules

          protected void addTableCellRules(org.apache.commons.digester.Digester digester,
                               java.lang.String pattern,
                               java.lang.String setNextMethod)

    - #### addTableGroupCellRules

          protected void addTableGroupCellRules(org.apache.commons.digester.Digester digester,
                                    java.lang.String pattern,
                                    java.lang.String setNextMethod)

    - #### addExpressionRules

          protected <T> void addExpressionRules(org.apache.commons.digester.Digester digester,
                                    java.lang.String expressionPattern,
                                    java.lang.Class<T> factoryClass,
                                    java.lang.String setterMethod,
                                    boolean jrNamespace)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com